Listar cobros inmediatos
curl --request GET \
--url https://plugin-pix-indirect.api.lerian.net/v1/collections/immediate \
--header 'Authorization: Bearer <token>' \
--header 'X-Account-Id: <x-account-id>'import requests
url = "https://plugin-pix-indirect.api.lerian.net/v1/collections/immediate"
headers = {
"X-Account-Id": "<x-account-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Account-Id': '<x-account-id>', Authorization: 'Bearer <token>'}
};
fetch('https://plugin-pix-indirect.api.lerian.net/v1/collections/immediate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"additionalInfo": {
"customerId": "67890",
"orderId": "12345"
},
"amount": "100.00",
"createdAt": "2024-01-15T10:30:00Z",
"debtorDocument": "12345678901",
"debtorName": "João da Silva",
"description": "Payment for order #12345",
"emv": "00020126580014br.gov.bcb.pix...",
"expirationSeconds": 3600,
"id": "550e8400-e29b-41d4-a716-446655440000",
"locationUrl": "https://api.example.com/qr/550e8400",
"metadata": {},
"receiverKey": "+5511999999999",
"status": "ACTIVE",
"tags": [
"ecommerce",
"subscription"
],
"txId": "TXN123456789",
"updatedAt": "2024-01-15T10:30:00Z"
}
],
"limit": 10,
"page": 1,
"total": 150
}{
"code": "<string>",
"title": "<string>",
"message": "<string>"
}{
"code": "<string>",
"title": "<string>",
"message": "<string>"
}Listar cobros inmediatos
Usa este endpoint para listar todos los cobros inmediatos de una cuenta con filtros opcionales y paginación. Devuelve un arreglo vacío [] si ningún cobro coincide con los criterios.
GET
/
v1
/
collections
/
immediate
Listar cobros inmediatos
Autorizaciones
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Encabezados
ID de la cuenta (formato UUID)
Parámetros de consulta
Cantidad máxima de cobros por página (1-100)
Número de página para la paginación (a partir de 1)
Filtro por estado
Filtro por etiquetas
Respuesta
OK
Items es el arreglo de resultados de cobranzas
Show child attributes
Show child attributes
Limit es la cantidad máxima de resultados devueltos
Ejemplo:
10
Page es el número de página actual
Ejemplo:
1
Total es la cantidad total de cobranzas que coinciden con los filtros
Ejemplo:
150
¿Esta página le ayudó?
Listar cobros dinámicos con vencimiento
Anterior
Recuperar detalles de un cobro dinámico con vencimiento
Siguiente
⌘I

